org.apache.fop.layoutmgr

## Class RelSide

- java.lang.Object
- - org.apache.fop.layoutmgr.RelSide

-     public final class RelSide
      extends java.lang.Object

  Enum class for relative sides.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RelSide` | `AFTER` the after side
    `static RelSide` | `BEFORE` the before side
    `static RelSide` | `END` the end side
    `static RelSide` | `START` the start side

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BEFORE

          public static final RelSide BEFORE

      the before side

    - #### AFTER

          public static final RelSide AFTER

      the after side

    - #### START

          public static final RelSide START

      the start side

    - #### END

          public static final RelSide END

      the end side

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the enum

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.